Subject: Linux-Misc Digest #911
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Mon, 10 Oct 94 04:13:18 EDT

Linux-Misc Digest #911, Volume #2                Mon, 10 Oct 94 04:13:18 EDT

Contents:
  Sorry Only Testing (Briny Seawitch)
  what IS maple? (Frank M. Haynes)
  Re: Newest Linux Journal? (Phil Hughes)
  Re: PPP disconnect question (Al Longyear)
  Re: what IS maple? (Robert Ashcroft)
  Re: ! Can I benchmark on your Pentium ?!? (ScottM48)
  Re: [Q]Linux on PPC a hoax? (David M. Gabrius)
  SURVEY: Graphics card benchmarks under XFree86 (10 Oct 94) (Farrell McKay)
  XFree86-3.1 binaries incomplete at tsx-11.mit.edu (C. Eric Williford)

----------------------------------------------------------------------------

From: [email-masked] (Briny Seawitch)
Subject: Sorry Only Testing
Date: 7 Oct 1994 23:58:57 GMT
Reply-To: [email-masked]

Sorry, only testing my latest xrn compile.

-- 
N. R.
[email-masked]

=================================================================
Standard Disclaimers Apply!
=================================================================

------------------------------

From: [email-masked] (Frank M. Haynes)
Subject: what IS maple?
Date: Sun, 9 Oct 94 13:52:40 GMT

The subject says it.

--Frank
-- 
====================================================================
Frank Haynes                 406 Pinetree Circle   Decatur, GA 30032
+1 404 279-4626                                     [email-masked]

------------------------------

From: [email-masked] (Phil Hughes)
Subject: Re: Newest Linux Journal?
Date: Sun, 9 Oct 1994 01:49:37 GMT

Kevin K. Lewis ([email-masked]) wrote:

: Can anyone tell me if they've received the newest (November?) issue of
: Linux Journal, yet?

Well, we publish it and we don't have them yet. :-)  They were shipped
from the printer on Friday and we should have them on Monday.  Our
mailhouse promises us that they will go out within 3 days so they will be
in the mail by Thursday.

-- 
Phil Hughes, Publisher, Linux Journal (206) 527-3385
usually [email-masked], sometimes [email-masked]

------------------------------

Crossposted-To: comp.os.linux.help
From: [email-masked] (Al Longyear)
Subject: Re: PPP disconnect question
Date: Sun, 9 Oct 1994 18:29:35 GMT

[email-masked] (Richard Kooijman) writes:

>I do this by calling pppd and specifying the connect and disconnect options.
>The connect option works great, my script with chat script is called,
>dialing occurs and information is fed to the PSTN gateway.

>Later, when I want to disconnect, I run a script called ppp-kill.
>It finds the pppd pid and sends it a SIGHUP.

A quick way to 'find' the pid is to look in the file /var/run/ppp0.pid.

>Now, I expected the disconnect script to be run next by pppd but it isn't.

>Couple observations: the man page discussed this option, the binary
>'reveals' the disconnect support (strings -a pppd), but the source
>doesn't contain it! The pppd program doesn't complain about the
>option either.

The string 'disconnect' is defined in the module options.c. It stores
the pointer to the single argument string in the global variable called
"disconnector" in main.c.

The disconect script is actually executed in the module main.c in the
sequence:

    lcp_open(0);                /* Start protocol */
    for (phase = PHASE_ESTABLISH; phase != PHASE_DEAD; )
        sigpause(0);            /* Wait for next signal */

    /*
     * Run disconnector script, if requested
     */
    if (disconnector) {
        if (device_script(disconnector, fd, fd) < 0) {
            syslog(LOG_WARNING, "disconnect script failed");
            die(1);
        }

        syslog(LOG_INFO, "Disconnected...");
    }

So, does the system log show "Disconnected..."?

-- 
Al Longyear           [email-masked]

------------------------------

From: [email-masked] (Robert Ashcroft)
Subject: Re: what IS maple?
Date: 9 Oct 1994 21:33:52 GMT
Reply-To: [email-masked]

In article <[email-masked]>,
Frank M. Haynes <[email-masked]> wrote:
>The subject says it.

Same category as Mathematica---algebra cruncher.

RNA

------------------------------

From: [email-masked] (ScottM48)
Subject: Re: ! Can I benchmark on your Pentium ?!?
Date: 9 Oct 1994 16:01:03 -0400

In article <[email-masked]>, [email-masked] (Karl
J. Runge) writes:

I Would be gald to run your benchmarks for you if nobody has done so yet,
send the programs that you wan't timed to P.O. Box 93026, Las Vegas,
Nevada 89193-3026

Sincerely,

Scott A. Martin

------------------------------

From: [email-masked] (David M. Gabrius)
Subject: Re: [Q]Linux on PPC a hoax?
Date: 6 Oct 1994 20:19:13 GMT

In article <[email-masked]>,
 <[email-masked]> wrote:
>Is the Linux for the PPC project a hoax? Promised delivery of kernel was
>August when the project was supposedly started, then September in the Linux
>FAQ. I know it is difficult to port software written specifically for the
>X86 to another platform and it does take time. The silence about this project
>leads me to think the software is vaporware. If the project is real then we 
>have some real status reports like the Linux ports to other platforms. Thanks

Obviously this person is really new to Linux, or else they wouldn't
sound like a refugee from comp.sys.*.advocacy groups... ;-)

One thing to get used to -- there is no such thing as "promised"
delivery when it comes to Linux.

One more thing -- no news is usually good news.  It means that people
aren't going to be screaming for something that they've heard is
really cool but is nowhere near being done.  And i've not seen any
more status reports about other platforms than the PPC; the Amiga
stuff is closest to being ready, and the Alpha/MIPS stuff is sexier,
but not any more frequent without people screaming for a status
report.

"Ahh, kids today!  They think that Linux should magically appear on
any new platform.  Back when I first started using Linux, the TCP/IP
was barely there, and Donald Becker still hadn't nailed down ne2000
drivers!  Ahhhh...."

*grin*  From a guy who got 85-95% of the questions right on mdw's
Linux Trivia Test in Linux Journal.  (Anyone else agree with me?)

-- 
 David Gabrius -- Motorola Cellular \\ [email-masked] \\ 708-632-5944
 Software Engineer \\"You miss too much these days if you stop to think" -U2 
 "And you can find/Your own way out/You can build/And I can will..." -U2 
 "Some days take less but most days take more" \\ #include<stddisclaimer.h>

------------------------------

From: [email-masked] (Farrell McKay)
Crossposted-To: comp.windows.x.i386unix,comp.benchmarks,comp.os.linux.help,aus.computers.linux,comp.sys.ibm.pc.hardware.video
Subject: SURVEY: Graphics card benchmarks under XFree86 (10 Oct 94)
Date: 10 Oct 1994 06:46:56 GMT

Archive-name: xfree86-benchmarks
Version: $Id: post,v 1.31 1994/10/10 02:00:32 fbm Exp fbm $

These are the latest results from a survey of xbench results under XFree86.

The idea of the survey is to compile a comprehensive set of benchmark results,
obtained by running xbench against all the main 386/486/586 graphics cards,
and thereby place the graphics cards in an approximate performance ranking.
Ideally all the results should be gathered using the same host machine,
on the same day of the week, while wearing the same socks and jocks.
Unfortunately no-one has yet come forward with such a database (although
such databases are rumoured to exist).  This survey is the next best thing.

The summary results below distill the essence of the survey into single line
entries.  The entries are grouped by XFree86 release number, and ranked
in decreasing 'xstone' order (last column) within each group.  Ranking by
xstones is a bit arbitrary.  It is instructive to examine all the other
columns too.

The xbench survey has a home on the World Wide Web, at

    http://thumbtack.bevc.blacksburg.va.us/xbench/

If you have acess to a Web browser, check it out!  It is at least
6 x 10^24 times better than this plain old Usenet posting, in lots of ways.

New additions to this database are always welcome - especially entries for
the latest servers or for unlisted graphics cards.  If you use XFree86,
you can contribute to this survey.  Grab a copy of xbench, make sure it
has the GraphicsExposures patch (see below), run it on your machine,
fill in the blank form provided below, and mail it back to me.
Please do not send the raw xbench output - just fill in the blank form!
I will collate and publish the results as they become available.  XBench is
available by ftp from hundreds of archive sites around the world.
Check out archie for your nearest site.

  >>>>>>  IT IS IMPORTANT TO USE THE CORRECT VERSION OF XBENCH.  <<<<<<

The correct version is the one with the "GraphicsExposures" patch.
Check for this by looking at your source code - you should find calls to

    XSetGraphicsExposures(......, False);

in the four files bitmapcpy.c complex1.c screencpy.c and scroll.c

Some sites known to carry the patched version of xbench are:

    ftp.physics.su.oz.au:/xbench/xbench.tar.gz
    ftp.iastate.edu:/pub/netbsd/misc/xbench.tar.gz
    mcsun.eu.net:/os/linux/BETA/X_S3/xbench.tar.gz
    mcsun.eu.net:/os/linux/BETA/X_S3/xbench.tar.Z
    ftp.th-darmstadt.de:/pub/X11/other/xbench.tar.Z 

    xbench.tar.gz file length=88785, /bin/sum=48788, /usr/5bin/sum=31503
    xbench.tar.Z  file length=156750, /bin/sum=21120, /usr/5bin/sum=40999

To run the benchmark,
    1. If possible, switch into one of the more common display resolutions
         before starting, e.g. 800x600, 1024x768, 1280x1024 etc.
    2. Kill off (i.e. exit from) all other programs on your machine,
         including your window manager!  The only running program you
         should need is a single window from which to start xbench.
         XBench is a benchmark program.  If it has to compete for
         memory or CPU, its results will suffer.
    3. Read the XBench README file and edit the script.run file.
    4. xset s off                                   (turn off the screen saver)
    5. xbench < script.run > results/YOURFILE
    6. go have a coffee
    7. awk -f scripts/xstones.awk < results/YOURFILE

Farrell.
--
Farrell McKay.   Email: [email-masked]     (PGP key avail)

========================= Blank Form ===========================================
CPU                     : (386/486 SX/DX etc)
CPU Clock Speed         : (MHz)
M'board Memory          : (MBytes)

Card Vendor + Model     :
Card Bus                : (ISA/EISA/VLB/PCI)
Chipset                 :
Video Memory            : (MBytes)
Memory Type             : (DRAM/VRAM)
Memory Speed            : (ns)
Clock Chip              :
RAMDAC                  :

Operating system        :
XFree86 release         : (e.g. 2.1.1)
XFree86 server          : (e.g. XF86_SVGA)
Physical resoln         :
Virtual resoln          :
Dot-clock               : (MHz)
Bits per pixel          : 

XBench lines            :
XBench fills            :
XBench blits            :
XBench arcs             :
XBench text             :
XBench complex          :
XBench xstones          :

  >>>>>>>>  Did you use the patched version of XBench ??  (Yes/No)  <<<<<<<<

XBench ftp'd from       :
Submitted by            :
Date stamp              :
========================= Summary Results ======================================

--- Hware --- XF86 Res Dot Px Display card     Bus lin fil blt arc txt cplx xst
CPU-Clk   Mem Srvr P&V Clk Sz                 Type ----------- 000s -----------

============================= XFree86 3.1   ===================================
486DX2-66  16 S3    NN  75  8 Spider Tarantula64 V 583 173 160 7720 250 264 242
486DX2-66  16 S3    NN  65  8 #9 GXE-64          P 456 114 106 7304 197 240 175
486DX2-66   8 S3    NC  75  8 #9 GXE-64          V 419 116 114 6372 186 185 173
486DX2-66  16 S3    NN  75 16 Spider Tarantula64 V 539  97  86 7078 247 205 165
486DX2-66  16 W32   PL  36  8 Herc. Dynamite Pow V 235  58  88 5278 423 114 131
486DX2-66  16 S3    PP  50 32 Spider Tarantula64 V 490  36  44 6328 216 106  85
486DX-33   16 Mch32 NB  80  8 ATI GUP            I 191  53  46 2201  94  77  77
486DX2-66  16 S3    NN  65 16 #9 GXE-64          P 316  43  36 5961 136  87  76
486DX-33    8 W32   NN  75  8 Herc. Dynamite D20 I  68  19  28 1343 151  49  43
486DX2-66  16 SVGA  NN  75  8 Viglen WD90C33     P 139  27  10 2024 156  59  34
Pnt-90     48 SVGA  NN  50  8 IBM (integrated)   I  67  13  18  943 388  37  32

============================= XFree86 2.1.1 ===================================
486DX2-66  16 S3    NN  74  8 Diamond Stealth Pr V 417  89  77 6465 197 153 142
486DX2-66  16 S3    NN  75  8 #9 GXE Level 12    V 442  80  65 6232 187 156 129
486DX2-66   8 S3    NN  75  8 SPEA/V7 Mercury    V 495  72  55 7018 160 134 113
486DX-33   16 S3    EE 110  8 Actix Ultra+       I 323  68  59 2761 148 138 108
486DX-50   16 S3    NN  80  8 ELSA Winner 1000   I 303  63  54 3865 155 128 103
486DX-50   16 S3    CC 110  8 Metheus 928-4M     V 310  67  50 3208 148 127 102
486DX-50   16 Mch32 NN  75  8 ATI Ultra Pro      V 335  65  56 2845 142  84 101
486DX2-66  16 S3    NN  75  8 Diamond Stealth 24 V 340  54  45 5541 132 106  89
486SX-25   16 S3    PM  36  8 Spea V7 Mirage     I 186  48  41  639 113 101  76
486DX2-66  20 S3    CC 135  8 #9 GXE Level 11    I 283  61  52 3345  56 121  74
486DX-33   16 S3    NN  72  8 Miro Crystal 10SD  V 248  44  36 2256 104  87  71
486DX-33    8 S3    NN  75  8 Actix Grph Eng. 32 I 205  42  38 1504 101  89  70
486DX2-66   8 S3    NN  45  8 Generic S3-805     V 265  45  39 2259  66  95  67
486DX2-66  16 Mch32 cC  80  8 ATI Graphics Ultra V 271  36  31 3597  88  59  60
486DX2-66  32 SVGA  KK  80  8 Generic Cirrus 542 V 143  28  22 1862 281  44  51
486DX2-66   4 SVGA  NN  75  8 VIA C.Logic 5426   V 149  26  22 2097 238  42  49
486DX2-50   8 SVGA  NH  75  8 Genoa 8500VL-28    V 113  23  23 1464 197  36  46
486DX2-66  20 SVGA  DD  80  8 Generic Cirrus 542 V 133  24  17 1708 254  40  42
386AM-40    8 Mch32 NN  65  8 ATI Graphics Ultra I 101  23  20  501  53  35  36
386DX-25    8 SVGA  PL  36  8 Hercules Dynamite  I  33   8   5  230  23  19  12

============================= XFree86 2.1   ===================================
486DX2-66  32 S3    NN  77  8 STB Pegasus        V 453  80  66 4318 195 156 131
486DX2-66  32 S3    NN  67  8 STB Pegasus        V 461  79  66 4154 191 141 129
486DX2-66  32 S3    CC 125  8 STB Pegasus        V 440  80  62 4240 193 153 127
Pnt-66     32 S3    NN  85  8 ELSA Winner 2000   V 494  75  57 6275 205 145 123
486DX2-66  16 S3    AA 185  8 #9 GXE Level 16    V 430  73  56 6833 182 139 117
486DX2-66  16 S3    FC  85  8 Spea V7 Mercury    V 472  69  55 4287 171 136 113
486DX2-66  24 S3    CC 135  8 Spea V7 Mercury    V 422  65  55 3404 162 132 109
486DX2-66  20 S3    NN  65  8 #9 GXE Level 11    I 374  65  55 4873 168 129 108
486DX2-66   8 S3    NL  75  8 Emca VGA-928-P     P 370  64  55 3193 150 126 106
486DX-33    8 S3    CC 108  8 Spea V7 Mercury    I 329  65  55  255 146 133 104
486DX2-66  16 S3    II  96  8 ELSA Winner 1000   P 312  62  52 2907 148 128 101
486DX2-66  20 Mch32 HH  80  8 ATI Ultra Pro      I 311  61  53 4336 144 133 100
486DX2-66  16 S3    HH 110  8 ELSA Winner 1000   P 298  60  52 2769 146 128 100
486DX-33    8 Mch32 OO  65  8 ATI Ultra XLR      V 296  62  54 2723 129  83  95
486DX-33   16 S3    NN  45  8 Actix Grph Eng. 32 I 234  55  52 2894 129 111  91
486DX2-66  20 Mch32 NN  75  8 ATI Ultra Pro      V 325  55  47 3437 129  75  88
486DX2-66  20 Mch32 HH  80  8 ATI Ultra Pro      V 323  56  48 3682 118  77  88
486SX-33   16 S3    nN  45  8 VGA805-V from Uppe V 231  53  47  726 131 107  87
486DX-50   16 Mch32 CC 135  8 ATI Ultra Pro      E 269  54  47 3038 123  74  85
486DX2-66   8 S3    NN  72  8 Actix Grph Eng. 32 V 328  48  40 3821 137  95  82
486DX-33   16 Mch8  NN  65  8 ATI Ultra (Mach8)  I 255  47  42 4071 115  98  79
486DX-33   16 Mch32 NB  80  8 ATI Ultra Pro      I 207  51  43 1600 106  61  76
486DX-33   16 S3    HH  62  8 ELSA Winner 1000   E 269  57  51 1720  50 130  69
Pnt-66     32 S3    CC 102  8 #9 GXE Level 12    P 389  72  61 4504  38 146  69
486DX-50   16 SVGA  nN  45  8 STB Horizon VGA    I 128  28  28 1767 224  55  56
486DX2-50  16 SVGA  PH  45  8 ICL ValuePlus CL54 I 102  27  25 1131 145  38  48
486DX2-66  20 VGA   NN  65  8 Cirrus Logic       V  61  28  20 1545 228  45  44
486DX-33    8 SVGA  NN  65  8 Genoa Phantom 8900 V 131  28  12 2167 116  42  36
486DX2-66  32 SVGA  NN  75  8 Generic Cirrus 542 V 110  18  13 1474 229  30  33
486DX2-66   8 SVGA  NN  75  8 Actix ProStar VL   V 107  17  12 1563 205  27  30
486DX2-66  32 SVGA  KK  80  8 Generic Cirrus 542 V 102  16  12 1317 209  28  30
486DX2-50  16 SVGA  HH  80  8 ICL ValuePlus CL54 I  76  14  12  880 140  20  26
486DX2-66   8 SVGA  PN  36  8 Octek AVGA-20H     I  80  11   5  891  54  17  14
486DX2-66  24 SVGA  NN  65  8 Generic ET4000     I  91   8   3 1040  75  12  11
486SX-25   20 SVGA  NL  45  8 STB PowerGraph     I  67   8   4  416  52  14  11
486DX2-66   8 VGA16 QP  26  8 Hedaka HED-622     I  20   3   3  471   7   7   5
386DX-25    8 SVGA  PP  36  8 Trident TVGA 8900B I  18   2   1  156  12   2   3
486DX-33   16 SVGA  PP  40  8 Oak OTI-067        I  36   1   1  458  28   2   3

============================= XFree86 2.0   ===================================
486DX2-66  16 S3    NN  74  8 Diamond Stealth Pr V 451  92  78 3234 198 150 145
486DX2-66  16 S3    HH  85  8 #9 GXE Level 12    V 412  81  65 2872 196 157 130
486DX2-66  16 S3    NN  75  8 #9 GXE Level 12    V 468  80  64 4070 190 153 128
486DX-33   16 S3    NN  74  8 Diamond Stealth Pr V 278  83  75 2015 155 142 123
486DX-33   16 S3    NN  75  8 Diamond Stealth Pr V 348  76  66 2733 166 155 121
486DX-50    8 S3    NN  72  8 #9 GXE Level 11    V 395  71  62 3363 164 141 117
486SX-33   16 S3    CC 110  8 Actix Ultra+       I 293  73  62 3776 158 137 114
486DX-50   16 S3    NN  75  8 ELSA Winner 1000   E 316  64  55 2760 160 128 105
486SLC2-66 16 S3    NN  45  8 STB PowerGraph VL- V 282  60  50 1310 153 118  98
486DX-33   16 S3    NN  75  8 Orchid Fahrnht. VA V 266  48  40 2380 121  95  79
Pnt-60     16 Mch32 NN  75  8 ATI AX0            P 207  45  38 3438 126  68  73
486DX2-66   8 Mch32 GG  80  8 ATI AX0            P 183  39  34 3393 110  65  65
386DX-40    8 S3    NN  75  8 Generic S3-801     I 153  36  31 1153  84  72  57
486DX-50   16 SVGA  QL  25  8 ColorDesigner A3   V 126  23  12 1575 111  44  34
486DX-50   16 SVGA  nN  45  8 STB Horizon VGA    I 131  20  12 1551 130  47  33
386DX-40    8 S3    JJ  95  8 Generic S3-801     I 122  23  20 1096  25  47  31
486DX-50   16 SVGA  nL  45  8 ColorDesigner A3   V 115  18  10 1559 110  38  29
386DX-40    4 SVGA  nG  45  8 Tseng ET4000/W32   V  65  16  11  989  38  30  26
386DX-40    4 SVGA  NG  72  8 Tseng ET4000/W32   V  63  15  10  952  35  25  21
486DX2-50  16 SVGA  PN  50  8 Diamond Speedstar  I  76  16   7  927  61  39  21
486DX2-50  20 SVGA  NN  85  8 Cirrus Logic 5428  I  86  13   6 1203  68  33  18
486DX-33    8 SVGA  NN  65  8 Diamond Speedstar+ I  87   9   4 1325  84  14  13
486DX2-66   8 SVGA  PL  75  8 Octek AVGA-20H     I  79   3   2  917  60   5   6
486SX-25    4 SVGA? QQ  75  8 Sager NP840 notebo V  53   3   2  327  30   4   5

Key to Physical and Virtual resolutions (lower case=interlaced mode)

A = 1600x1200
B = 1536x1024
C = 1280x1024
D = 1200x910
E = 1200x900
F = 1192x900
G = 1152x910
H = 1152x900
I = 1152x816
J = 1152x800
K = 1056x832
L = 1024x1024
M = 1024x900
N = 1024x768
O = 1024x767
P = 800x600
Q = 640x480

------------------------------

From: [email-masked] (C. Eric Williford)
Subject: XFree86-3.1 binaries incomplete at tsx-11.mit.edu
Date: 8 Oct 1994 01:43:56 GMT

I downloaded the Linux XFree86-3.1 binaries from tsx-11.mit.edu and
noticed (disappointedly) that the XF86-3.1.lib tar file is truncated.
Therefore, some of the shared library files are missing and I can't
seem to get this file from any other site.  Could someone please
upload the complete file or put it on an anonymous ftp site and
let me know where it is?  I'd love to test XFree-3.1.

Eric Williford
[email-masked]

****************************************************************************
*  C. Eric Williford  - cew@.met.fsu.edu                                   *
*                       WWW Home Page: http://www.scri.fsu.edu/~cew        *
*                                                                          *
*  Offices:  SCRI - Dirac Science Library - 4th Floor - 482B               *
*            Love - Rm. 410 - 4th floor                                    *
*  Address:  Department of Meteorology                                     *
*            Florida State University                                      *
*            Tallahassee, FL 32306-3034                                    *
****************************************************************************

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.misc) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Misc Digest
******************************